gr::rds::encoder_impl Class Reference

`#include <encoder_impl.h>`

Inheritance diagram for gr::rds::encoder_impl:
[legend]

## Public Member Functions

| encoder_impl (unsigned char pty_locale, int pty, bool ms, std::string ps, double af1, bool tp, bool ta, int pi_country_code, int pi_coverage_area, int pi_reference_number, std::string radiotext, int max_latency)
virtual void | set_ps (std::string ps)

## Additional Inherited Members

Public Types inherited from gr::rds::encoder
typedef std::shared_ptr< encoder > | sptr
Static Public Member Functions inherited from gr::rds::encoder
static sptr | make (unsigned char pty_locale, int pty, bool ms, std::string ps, double af1, bool tp, bool ta, int pi_country_code, int pi_coverage_area, int pi_reference_number, std::string radiotext, int max_latency=-1)

## Constructor & Destructor Documentation

## encoder_impl()

gr::rds::encoder_impl::encoder_impl | ( | unsigned char | pty_locale,
|  | int | pty,
|  | bool | ms,
|  | std::string | ps,
|  | double | af1,
|  | bool | tp,
|  | bool | ta,
|  | int | pi_country_code,
|  | int | pi_coverage_area,
|  | int | pi_reference_number,
|  | std::string | radiotext,
|  | int | max_latency )

Referenced by set_ps().

## Member Function Documentation

## set_ps()

virtual void gr::rds::encoder_impl::set_ps | ( | std::string | ps | ) |

virtual

Implements gr::rds::encoder.

References encoder_impl().

The documentation for this class was generated from the following file:

- encoder_impl.h